Skip to main content
GET
/
transactions
Retrieve a list of transactions
curl --request GET \
  --url https://api.spirii.com/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 20030,
      "evseId": "DK.SPI.Z095*1",
      "location": {
        "id": 1145,
        "name": "TheVillage",
        "address": "Lenin",
        "zipCode": "640022",
        "city": "Kurgan"
      },
      "locationId": 1145,
      "consumed": 0.425,
      "price": {
        "perKwh": 3,
        "currency": "DKK",
        "amount": 1.28
      },
      "startedAt": "2020-09-08T11:28:40.000Z",
      "updatedAt": "2020-09-08T11:28:40.000Z",
      "endedAt": "2020-09-08T11:41:30.000Z",
      "voucher": null,
      "voucherGroup": null,
      "duration": {
        "charging": 0,
        "idle": 0
      },
      "user": null,
      "paymentMethod": {
        "type": "system",
        "label": "CreditCard"
      }
    },
    {
      "id": 20036,
      "evseId": "DK.SPI.Z095*1",
      "location": {
        "id": 1145,
        "name": "TheVillage",
        "address": "Lenin",
        "zipCode": "640022",
        "city": "Kurgan"
      },
      "locationId": 1145,
      "consumed": 0,
      "price": {
        "perKwh": null,
        "currency": null
      },
      "startedAt": "2020-09-08T11:44:39.000Z",
      "updatedAt": "2020-09-08T11:44:39.000Z",
      "endedAt": "2020-09-08T11:44:43.000Z",
      "voucher": null,
      "voucherGroup": null,
      "duration": {
        "charging": 0,
        "idle": 0
      },
      "user": null,
      "paymentMethod": {
        "type": null,
        "label": null
      }
    }
  ],
  "totalElements": 9048,
  "offset": 0,
  "limit": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startedAt
string<timestamp>

Transaction started at (Both startedAt and endedAt cannot be applied to the same request)

Example:

"2021-12-11T13:04:49.372Z"

updatedAt
string<timestamp>

Transaction record updated date

Example:

"2023-01-11T13:04:49.372Z"

updatedAtMax
string<timestamp>

ISO Timestamp

Example:

"2023-02-11T13:04:49.372Z"

endedAt
string<timestamp>

Transaction ended at (Both startedAt and endedAt cannot be applied to the same request)

Example:

"2021-12-11T13:04:49.372Z"

endedAtMax
string<timestamp>

ISO Timestamp

Example:

"2021-12-11T13:04:49.372Z"

locationId
integer

location ID to retrieve

Example:

1

voucherId
integer
Example:

1

appUserId
integer

Only retrieve informations associated with an appUserId

Example:

1

idTagUid
string
Example:

"1"

sortBy
enum<string>
default:id
Available options:
id,
startedAt,
updatedAt,
endedAt
Example:

"id"

sortDir
enum<string>
default:ASC
Available options:
ASC,
DESC
Example:

"ASC"

offset
integer

The number of items to skip before starting to collect the result set

Example:

250

limit
integer
default:250

Number of record to collect

Required range: x <= 2000
Example:

250

output
enum<string>
default:JSON
Available options:
CSV,
JSON
Example:

"JSON"

fieldSeparator
enum<string>
default:.
Available options:
_,
.
Example:

"."

decimalSeparator
enum<string>
default:.
Available options:
,,
.
Example:

"."

Response

Transaction Data

data
object[]
required

Transaction data